######################################################################
#
# VerTeX -- A prefilter for easier LaTeX.
#
# Copyright (C) 2010-2019  Steve Kieffer
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# Author: Steve Kieffer  <http://skieffer.info>
#
######################################################################

from vertex2tex.v2t import *

text1="""
abs
    matrix 4 cols
        1; 1; 1; 1;
        1; zeta; zetauu2r; zetauu2r-1;
        1; (zeta) squ; (zetauu2r) squ; (zetauu2r-1) squ;
        1; (zeta)^3; (zetauu2r)^3; (zetauu2r-1)^3;
    endmatrix
;
equiv 0 mod frl^ell
"""

tokens1 = ['\n', 'abs', '\n    ', 'matrix', ' ', '4', ' ', 'cols', '\n        ', '1',
           ';', ' ', '1', ';', ' ', '1', ';', ' ', '1', ';', '\n        ', '1', ';',
           ' ', 'zeta', ';', ' ', 'zetauu2r', ';', ' ', 'zetauu2r-1', ';', '\n        ',
           '1', ';', ' ', '(', 'zeta', ')', ' ', 'squ', ';', ' ', '(', 'zetauu2r', ')',
           ' ', 'squ', ';', ' ', '(', 'zetauu2r-1', ')', ' ', 'squ', ';', '\n        ',
           '1', ';', ' ', '(', 'zeta', ')', '^', '3', ';', ' ', '(', 'zetauu2r', ')',
           '^', '3', ';', ' ', '(', 'zetauu2r-1', ')', '^', '3', ';', '\n    ',
           'endmatrix', '\n', ';', '\n', 'equiv', ' ', '0', ' ', 'mod', ' ', 'frl', '^',
           'ell', '\n'
]

def test_tokenize_1():
    tokens = tokenize(text1)
    assert tokens == tokens1


if __name__ == "__main__":
    test_tokenize_1()
